
import java.io.*;
import java.util.Date;
import javax.swing.JFileChooser;

public class FileInfo {

    public static void main(String args[]) {
        File f = null;
        System.out.println("List of fields of an instance of class File");
        System.out.println("path.Separator is " + File.pathSeparator);
        System.out.println("separator is " + File.separator);
        System.out.println("pathSeparatorChar is " + File.pathSeparatorChar);
        System.out.println("separatorChar is " + File.separatorChar);


        if (args.length >= 1) {
            f = new File(args[0]);
        } else {

            File selectedFile = null;
            JFileChooser chooser = new JFileChooser();
	        int returnVal = chooser.showOpenDialog(null); // null = no parent component
            if (returnVal == JFileChooser.APPROVE_OPTION) {
                f = chooser.getSelectedFile();
            }
        }

        try {
            System.out.println("file path is " + f);

            System.out.println("\nCalling some methods of the class File");
			System.out.println("exists() is " + f.exists());
			if (f.exists() == false) {
              	System.out.println("File " + f.getPath() + " does not exist");				
            	long ldate = f.lastModified();
                Date fdate = new Date(ldate);
                System.out.println("lastModified() is " + fdate);
            }
            System.out.println("isFile() is " + f.isFile());
            System.out.println("isDirectory() is " + f.isDirectory());
            System.out.println("length() is " + f.length());
			System.out.println("canRead() is " + f.canRead());
            System.out.println("canWrite() is " + f.canWrite());
        } catch (NullPointerException e) {
            System.out.println("No File specified");
        }
    }
}




